Bug 9508 - DsGetNCChanges doesn't check the incoming highwatermark
DsGetNCChanges doesn't check the incoming highwatermark
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9306
  Show dependency treegraph
 
Reported: 2012-12-17 12:28 UTC by Stefan Metzmacher
Modified: 2013-01-11 12:22 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-0-test (35.73 KB, patch)
2013-01-03 11:27 UTC, Stefan Metzmacher
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-12-17 12:28:48 UTC
Our DsGetNCChanges implementation returns objects without the correct ordering
and reports a tmp_highest_usn which is higher than what we sent to the client (destination dsa).

It's likely that we return the same highwatermark more than once within
one replication cycle.

Windows DC's sometimes interrupt a replication cycle and resume with on older
highwatermark.

As we currently don't detect that the destination dsa uses an unexpected
highwatermark, it can happen that the some objects (or linked attributes)
are not replicated correct. The destination dsa will never get them.
Comment 1 Stefan Metzmacher 2013-01-03 11:27:34 UTC
Created attachment 8377 [details]
Patches for v4-0-test
Comment 2 Stefan Metzmacher 2013-01-11 09:04:59 UTC
Karolin, please pick this.
Comment 3 Karolin Seeger 2013-01-11 09:44:31 UTC
Pushed to autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-01-11 12:22:17 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!